CREATE TABLE `articles` (
	`Id` BIGINT(20) NOT NULL AUTO_INCREMENT,
	`Title` VARCHAR(200) NOT NULL,
	`Category_Id` INT(11) NOT NULL,
	`Content` LONGTEXT NOT NULL,
	`Views` BIGINT(20) NOT NULL,
	`Likes` BIGINT(20) NOT NULL,
	`Created` DATETIME NOT NULL,
	`Edited` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
	`Is_Draft` INT(10) NOT NULL DEFAULT '1',
	`Publish_Start_Date` DATE NULL DEFAULT NULL,
	`Publish_End_Date` DATE NULL DEFAULT NULL,
	PRIMARY KEY (`Id`),
	FULLTEXT INDEX `Title_Content` (`Title`, `Content`)
)
COLLATE='utf8_general_ci'
ENGINE=MyISAM
AUTO_INCREMENT=1;

CREATE TABLE `article_tags` (
	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
	`article_id` BIGINT(20) NOT NULL,
	`tag_id` BIGINT(20) NOT NULL,
	PRIMARY KEY (`id`)
)
COLLATE='utf8_general_ci'
ENGINE=MyISAM
AUTO_INCREMENT=1;

CREATE TABLE `categories` (
	`Id` INT(11) NOT NULL AUTO_INCREMENT,
	`Name` VARCHAR(100) NOT NULL,
	`Is_Hot` SMALLINT(6) NOT NULL DEFAULT '0',
	PRIMARY KEY (`Id`),
	UNIQUE INDEX `Name` (`Name`),
	FULLTEXT INDEX `FullTextName` (`Name`)
)
COLLATE='utf8_general_ci'
ENGINE=MyISAM
AUTO_INCREMENT=1;

CREATE TABLE `settings` (
	`Id` INT(10) NOT NULL,
	`Art_Cnt_Per_Cat_On_Home` INT(10) NOT NULL DEFAULT '3',
	`Company_Name` VARCHAR(250) NULL DEFAULT NULL,
	`Tagline` VARCHAR(100) NULL DEFAULT NULL,
	`Jumbotron_Text` VARCHAR(100) NULL DEFAULT NULL,
	`ShareThis_Pub_Key` VARCHAR(50) NULL DEFAULT NULL,
	PRIMARY KEY (`Id`)
)
COLLATE='utf8_general_ci'
ENGINE=MyISAM;

CREATE TABLE `tags` (
	`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
	`name` VARCHAR(200) NOT NULL,
	PRIMARY KEY (`id`),
	UNIQUE INDEX `name` (`name`)
)
COLLATE='utf8_general_ci'
ENGINE=MyISAM
AUTO_INCREMENT=1;

CREATE TABLE `users` (
	`id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
	`user_name` VARCHAR(120) NOT NULL,
	`password` VARCHAR(150) NOT NULL,
	`user_type` INT(10) NULL DEFAULT '10' COMMENT '1: ADMIN 10:CLIENT',
	`name` VARCHAR(100) NULL DEFAULT NULL,
	`last_name` VARCHAR(100) NULL DEFAULT NULL,
	`email` VARCHAR(150) NULL DEFAULT NULL,
	`user_logged_in` INT(10) NULL DEFAULT '0',
	PRIMARY KEY (`id`),
	UNIQUE INDEX `UNQ_USERNAME` (`user_name`),
	UNIQUE INDEX `UNQ_EMAIL` (`email`)
)
COLLATE='utf8_general_ci'
ENGINE=MyISAM
AUTO_INCREMENT=1;


CREATE ALGORITHM = UNDEFINED VIEW `v_article_tags` AS select a.id article_id, t.id tag_id , t.name tagname from articles a left join article_tags at on a.id = at.article_id left join tags t on at.tag_id = t.id;

CREATE TABLE `article_attachments` (
	`Id` BIGINT NOT NULL AUTO_INCREMENT,
	`article_id` BIGINT NOT NULL,
	`path` VARCHAR(2048) NOT NULL,
	`filename` VARCHAR(2048) NOT NULL,
	`extension` VARCHAR(10) NOT NULL,
	`downloads` INT NOT NULL DEFAULT '0',
	`hash` VARCHAR(255) NULL,
	`hash_time` DATETIME NULL,
	PRIMARY KEY (`Id`)
)
COLLATE='utf8_general_ci'
ENGINE=MyISAM;

ALTER TABLE `settings`
	ADD COLUMN `DisqusShortName` VARCHAR(150) NULL AFTER `ShareThis_Pub_Key`;

ALTER TABLE `articles`
	ADD COLUMN `Meta_Description` VARCHAR(140) NULL AFTER `Category_Id`;
	
INSERT INTO `users` ( `user_name`, `password`, `user_type`, `name`, `last_name`, `email`, `user_logged_in`) VALUES ( 'admin', '33354741122871651676713774147412831195', 10, 'Admin', 'USer', 'info@2bprojevi.com', 1);

INSERT INTO `settings` (`Id`, `Art_Cnt_Per_Cat_On_Home`, `Company_Name`, `Tagline`, `Jumbotron_Text`, `ShareThis_Pub_Key`) VALUES (1, 3, 'KBVault', 'Careware Knowledgebase Application', 'Simple yet knows what you need', 'ad1eb81c-671b-4d1f-a459-4f7a770c0f29');






